Search
K
FGA-Service

List Roles

Fetches roles with optional filters for all roles, queue roles, or entity roles.

get
https://qa.api.zinnia.io/fga/v1/roles

Query Parameters

filterstringrequired
carrierIdstringrequired

Response

200
get/fga/v1/roles
 
200

Get Role By Name

gets a role by Name

get
https://qa.api.zinnia.io/fga/v1/roles/{role}

Query Parameters

carrierIdstringrequired

Path Parameters

rolestringrequired

Response

200
get/fga/v1/roles/{role}
 
200

Delete Role

deletes a role

delete
https://qa.api.zinnia.io/fga/v1/roles/{role}

Path Parameters

rolestringrequired

Response

200
delete/fga/v1/roles/{role}
 
200

Update Role

updates a role

put
https://qa.api.zinnia.io/fga/v1/roles/{role}

Path Parameters

rolestringrequired

Body

application/json

RoleDto

entitystringrequired

carrier or fga entity

Example:zinnia

entitiesarray[string]required

carriers or fga entities

Example:["elic","sbgc"]

descriptionstringrequired

description of the role

Example:viewer access for sbgc resources

rolestringrequired

fga tuple name

Example:sbgc_viewer

labelstringrequired

role name generally prefixed with carrier or entity descriptive name

Example:Security Benefits Viewer

roleIdstringrequired

unique role id

Example:77fb1e2b-cf96-4a13-8cc6-8645759b0f14

dateCreatedstring(date-time)required

timestamp it occurred

Example:2023-12-06T18:36:35.846Z

queuestringrequired

Queue name associated with the role

Example:withdrawal

Response

200
put/fga/v1/roles/{role}

Body

{ "entity": "zinnia", "entities": [ "elic", "sbgc" ], "description": "viewer access for sbgc resources", "role": "sbgc_viewer", "label": "Security Benefits Viewer", "roleId": "77fb1e2b-cf96-4a13-8cc6-8645759b0f14", "dateCreated": "2023-12-06T18:36:35.846Z", "queue": "withdrawal" }
 
200

Search Roles

searches roles by entity

get
https://qa.api.zinnia.io/fga/v1/roles/search/{entity}

Path Parameters

entitystringrequired

Response

200
get/fga/v1/roles/search/{entity}
 
200